org.eclipse.microprofile.openapi.apps.airlines.resources

## Class AvailabilityResource

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.airlines.resources.AvailabilityResource

    @Path(value="/availability")
    public class AvailabilityResource
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AvailabilityResource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `getFlights(String departureDate, String airportFrom, String returningDate, String airportTo, int numberOfAdults, int numberOfChildren)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AvailabilityResource

    public AvailabilityResource()

### Method Detail

#### getFlights

    @GET
     @Produces(value="application/json")
    public jakarta.ws.rs.core.Response getFlights(@QueryParam(value="departureDate")
                                                                                            String departureDate,
                                                                                            @QueryParam(value="airportFrom")
                                                                                            String airportFrom,
                                                                                            @QueryParam(value="returningDate")
                                                                                            String returningDate,
                                                                                            @QueryParam(value="airportTo")
                                                                                            String airportTo,
                                                                                            @QueryParam(value="numberOfAdults")
                                                                                            int numberOfAdults,
                                                                                            @QueryParam(value="numberOfChildren")
                                                                                            int numberOfChildren)